<div>
  <div class="d-flex justify-content-center">
    <div class="col-lg-6 col-md-8 col-sm-10 card-login">
      <h1 data-cy="loginTitle">Sign in</h1>
      @if (authenticationError) {
        <div class="alert alert-danger" data-cy="loginError">
          <strong>Failed to sign in!</strong> Please check your credentials and try again.
        </div>
      }
      <form class="form" role="form" (ngSubmit)="login()" [formGroup]="loginForm">
        <div class="mb-3">
          <label class="username-label" for="username">Username</label>
          <input
            type="text"
            class="form-control"
            name="username"
            id="username"
            placeholder="Your username"
            formControlName="username"
            #username
            data-cy="username"
          />
        </div>

        <div class="mb-3">
          <label for="password">Password</label>
          <input
            type="password"
            class="form-control"
            name="password"
            id="password"
            placeholder="Your password"
            formControlName="password"
            data-cy="password"
          />
        </div>

        <div class="form-check">
          <label class="form-check-label" for="rememberMe">
            <input class="form-check-input" type="checkbox" name="rememberMe" id="rememberMe" formControlName="rememberMe" />
            <span>Remember me</span>
          </label>
        </div>

        <button type="submit" class="btn btn-primary" data-cy="submit">Sign in</button>
      </form>
      <div class="mt-3 alert alert-warning">
        <a class="alert-link" routerLink="/account/reset/request" data-cy="forgetYourPasswordSelector">Did you forget your password?</a>
      </div>

      <!--<div class="alert alert-warning">
        <span>You don&apos;t have an account yet?</span>
        <a class="alert-link" routerLink="/account/register">Register a new account</a>
      </div>-->
    </div>
  </div>
</div>
